<div class="card">
  <div class="card-divider">
    <h2 class="card-title"><%= title %></h2>
  </div>

  <div class="card-section">
    <div class="row column hashtags__container">
      <%= form.translated :text_field, :title, autofocus: true, class: "js-hashtags", hashtaggable: true %>
    </div>

    <% if @proposal.try(:image?) || @proposal.try(:article?) %>
      <% if @proposal.try(:image_attachment).try(:attached?) %>
        <div class="row column hashtags__container">
          <%= form.label :image_attachment %>
          <%= image_tag @proposal.image_attachment.url, size: "420" %>
        </div>
      <% end %>
      <br>
      <div class="row column hashtags__container">
        <%= form.attachment :image_attachment,
          multiple: false,
          label: t("decidim.proposals.proposals.edit.add_image"),
          button_label: t("decidim.proposals.proposals.edit.add_image"),
          button_edit_label: t("decidim.proposals.proposals.edit.edit_image"),
          help_i18n_scope: "decidim.forms.file_help.image",
          extension_allowlist: Decidim::OrganizationSettings.for(current_organization).upload_allowed_file_extensions_image %>
      </div>
      <% if @proposal.try(:image?) %>
        <%= form.hidden_field :body, hashtaggable: true, value: "" %>
      <% else %>
        <%= form.translated :editor, :body, hashtaggable: true, required: true %>
      <% end %>
    <% else %>
      <div class="row column hashtags__container">
        <%= form.translated :editor, :body, hashtaggable: true, required: true %>
      </div>
    <% end %>

    <div class="row column hashtags__container">
      <%= form.check_box :is_interactive, label: t("decidim.admin.participatory_texts.is_interactive") %>
    </div>
    <% if @form.component_automatic_hashtags.any? %>
      <div class="field">
        <%= form.label :automatic_hashtags %>
        <div class="checkboxes hashtags">
          <% @form.component_automatic_hashtags.each do |hashtag| %>
            <label>
              <%= check_box_tag "", "", { checked: true }, { disabled: true } %>#<%= hashtag %>
            </label>
          <% end %>
        </div>
      </div>
    <% end %>

    <% if @form.component_suggested_hashtags.any? %>
      <div class="field">
        <%= form.label :suggested_hashtags %>
        <div class="checkboxes hashtags">
          <%= form.collection_check_boxes :suggested_hashtags, @form.component_suggested_hashtags.map {|hashtag| [hashtag.downcase, "##{hashtag}"]}, :first, :last do |option|
            option.label { option.check_box(checked: @form.suggested_hashtag_checked?(option.value)) + option.text }
          end %>
        </div>
      </div>
    <% end %>

    <% if @form.meetings %>
      <div class="meeting-fields">
        <div class="row column">
          <%= form.check_box :created_in_meeting, label: t(".created_in_meeting") %>
        </div>

        <div class="row column" id="proposal_meeting">
          <%= form.select :meeting_id,
                          options_for_select(@form.meetings&.map { |meeting| [present(meeting).title, meeting.id] }, selected: meetings_as_authors_selected ),
                          { include_blank: true, label: t(".select_a_meeting") },
                          { multiple: false, class: "chosen-select" } %>
        </div>
      </div>
    <% end %>

    <% if @form.geocoding_enabled? %>
      <div class="field">
      <%= form.select :associated_state,
                      @form.proposal_state_select,
                      { include_blank: t(".select_a_proposal_associated_state") },
                      { multiple: false } %>
      </div>
      <div class="row column">
        <%= form.geocoding_field :address %>
      </div>
    <% end %>

    <% if @form.categories&.any? %>
      <div class="row column">
        <%= form.categories_select :category_id, @form.categories, include_blank: t(".select_a_category") %>
      </div>
    <% end %>

    <% if current_component.has_subscopes? %>
      <div class="row column">
        <%= scopes_picker_field form, :scope_id, root: current_component.scope %>
      </div>
    <% end %>

    <% if component_settings.attachments_allowed? %>
      <%= render partial: "decidim/admin/shared/gallery", locals: { form: form } %>
    <% end %>

    <% if component_settings.attachments_allowed? %>
      <div class="row column">
        <fieldset>
          <legend><%= t(".attachment_legend") %></legend>
          <%= form.fields_for :attachment, @form.attachment do |form| %>
            <div class="row column">
              <%= form.text_field :title %>
            </div>

            <div class="row column">
              <%= form.upload :file %>
              <% if params[:id].present? %>
                <% if proposal.documents.present? %>
                  <%= form.hidden_field :id, value: proposal.documents.first.id %>
                  <%= form.check_box :delete_file, label: t(".delete_attachment"), value: proposal.documents.first.id %>
                <% end %>
              <% end %>
            </div>
          <% end %>
        </fieldset>
      </div>
    <% end %>
  </div>
</div>

<% if params[:is_from_participatory_text_preview].present? %>
  <%= form.hidden_field :is_from_participatory_text_preview, value: "true" %>
  <%= form.hidden_field :preview_url, 
    value: request.referrer 
  %>
<%end %>


<%= javascript_pack_tag "decidim_proposals_admin" %>
